Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::objects::PDFStructTree Class Reference
Inheritance diagram for foxit::pdf::objects::PDFStructTree:

## Public Member Functions
| PDFStructTree (const PDFDoc &document)
| Constructor, with parameters. More...
| PDFStructTree (const PDFStructTree &other)
| Constructor, with another PDF structure tree object. More...
| ~PDFStructTree ()
| Destructor.
StructElement | GetChild (int index) const
| Get the structure element by index. More...
int | GetChildCount () const
| Get count of structure elements in current PDF structure tree. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const PDFStructTree &other) const
| Not equal operator. More...
PDFStructTree & | operator= (const PDFStructTree &other)
| Assign operator. More...
bool | operator== (const PDFStructTree &other) const
| Equal operator. More...
void | RemoveChild (int index)
| Remove the structure element by index. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

PDF structure tree is a kind of common data structure in tagged PDF documents. A structure tree is used in PDF files to represent the organization and hierarchy of the document's content. PDF structure tree has following characteristics:

- A PDF structure tree is also a hierarchical structure, with the top node representing the entire document and the lower nodes representing pages, paragraphs, headings, and other elements.
- A PDF structure tree contains semantic information about the content of the document, such as headings, paragraphs, tables, and lists. This information is used to enhance the accessibility and usability of the document, as well as to optimize its display and printing;

Class PDFStructTree is used to be associated with an existing PDF structure tree. It offers functions to get structure elements in the PDF structure tree.

## Constructor & Destructor Documentation

## ◆ PDFStructTree() [1/2]

foxit::pdf::objects::PDFStructTree::PDFStructTree | ( | const PDFDoc & | document | ) |

Constructor, with parameters.

If there exists PDF structure tree in the PDF document, this function is just to construct a PDF structure tree object to be associated with the structure tree.

Parameters

  [in] | document | A valid PDF document object.

## ◆ PDFStructTree() [2/2]

foxit::pdf::objects::PDFStructTree::PDFStructTree | ( | const PDFStructTree & | other | ) |

Constructor, with another PDF structure tree object.

Parameters

  [in] | other | Another PDF structure tree object.

## Member Function Documentation

## ◆ GetChild()

StructElement foxit::pdf::objects::PDFStructTree::GetChild | ( | int | index | ) | const

Get the structure element by index.

Parameters

  [in] | index | Index of the structure element to be retrieved. Valid range: from 0 to (count-1). count is returned by function PDFStructTree::GetChildCount.

Returns
  A StructElement object.

## ◆ GetChildCount()

int foxit::pdf::objects::PDFStructTree::GetChildCount | ( |  | ) | const

Get count of structure elements in current PDF structure tree.

Returns
  The structure elements count.

## ◆ IsEmpty()

bool foxit::pdf::objects::PDFStructTree::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::pdf::objects::PDFStructTree::operator!= | ( | const PDFStructTree & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another PDF structure tree object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

PDFStructTree& foxit::pdf::objects::PDFStructTree::operator= | ( | const PDFStructTree & | other | ) |

Assign operator.

Parameters

  [in] | other | Another PDF structure tree object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::objects::PDFStructTree::operator== | ( | const PDFStructTree & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another PDF structure tree object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ RemoveChild()

void foxit::pdf::objects::PDFStructTree::RemoveChild | ( | int | index | ) |

Remove the structure element by index.

Parameters

  [in] | index | Index of the structure element to be retrieved. Valid range: from 0 to (count-1). count is returned by function PDFStructTree::GetChildCount.

Returns
  None.